package com.bonus.canteen.core.menu.vo;

import com.bonus.canteen.core.common.enums.AllocMealtimeTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel("餐次列表")
public class MenuRecipeDetailV2IntervalVO {
   @ApiModelProperty("餐次类型")
   private Integer mealtimeType;
   @ApiModelProperty("餐次名称")
   private String mealtimeName;
   @ApiModelProperty("菜品详情")
   private List<MenuRecipeDetailV2DishesVO> dishesList;

   public String getMealtimeName() {
      return AllocMealtimeTypeEnum.getDescByKey(this.mealtimeType);
   }

   public Integer getMealtimeType() {
      return this.mealtimeType;
   }

   public List<MenuRecipeDetailV2DishesVO> getDishesList() {
      return this.dishesList;
   }

   public void setMealtimeType(final Integer mealtimeType) {
      this.mealtimeType = mealtimeType;
   }

   public void setMealtimeName(final String mealtimeName) {
      this.mealtimeName = mealtimeName;
   }

   public void setDishesList(final List<MenuRecipeDetailV2DishesVO> dishesList) {
      this.dishesList = dishesList;
   }
}
